org.apache.sysds.runtime

## Class DMLScriptException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sysds.api.DMLException
        - - org.apache.sysds.runtime.DMLRuntimeException
          - - org.apache.sysds.runtime.DMLScriptException

All Implemented Interfaces:
  Serializable

    public class DMLScriptException
    extends DMLRuntimeException

This exception should be thrown to flag DML Script errors.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

### Constructor Summary

Constructors
Constructor and Description
`DMLScriptException(String msg)` This is the only valid constructor for DMLScriptException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DMLScriptException

    public DMLScriptException(String msg)

This is the only valid constructor for DMLScriptException.

Parameters:
  `msg` - message